Loading...
Searching...
No Matches
su_source_s Struct Reference

Port is a per-thread reactor. More...

## Data Fields

GSource * | sup_source
| Backpointer to source.
GMainLoop * | sup_main_loop
| Reference to mainloop while running.
unsigned | sup_n_waits
| Counter incremented by su_port_register() or su_port_unregister().

## Detailed Description

Port is a per-thread reactor.

Multiple root objects executed by single thread share a su_port_t object.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.